import 'package:auth/src/core/providers/auth_repository_provider.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

import '../../domain/use_cases/recover_password_use_case.dart';
import '../../domain/use_cases/recover_password_use_case_impl.dart';

final recoverPasswordUseCaseProvider = Provider.autoDispose<RecoverPasswordUseCase>((ref) {
  final authRepository = ref.read(authRepositoryProvider);
  return RecoverPasswordUseCaseImpl(authRepository);
});
